# File

## certificate/get\_file

<mark style="color:blue;">`GET`</mark> `https://public-api.timesafe.io/certifcate/{ID}/get_file`

Al fine di fornire un unico endpoint per tutti i file all'utente delle API, è possibile richiedere tramite questo servizio sia i file caricati tramite API di Timesafe, sia i file per cui è stato solo specificato un URL.\
Per questi ultimi il servizio cercherà di ottenere il permesso di comportarsi da proxy, ma a seconda delle impostazioni di sicurezza del server remoto, potrebbe fallire.

#### Path Parameters

| Name | Type    | Description                                             |
| ---- | ------- | ------------------------------------------------------- |
| ID   | integer | ID del certificato di cui si desidera ottenere il file. |

#### Headers

| Name  | Type   | Description                              |
| ----- | ------ | ---------------------------------------- |
| token | string | Token JWT ottenuto da servizio di login. |

{% tabs %}
{% tab title="200 Il servizio restituisce il file come stream di dati ( Content-Type : application/.... )
" %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.public-api.timesafe.io/api/certificate/file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
